Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.format
Class ISOPeriodFormat

    java.lang.Object
      org.joda.time.format.ISOPeriodFormat

    public class ISOPeriodFormat

extends java.lang.Object

Factory that creates instances of PeriodFormatter for the ISO8601 standard.

Period formatting is performed by the `PeriodFormatter` class. Three classes provide factory methods to create formatters, and this is one. The others are `PeriodFormat` and `PeriodFormatterBuilder`.

ISOPeriodFormat is thread-safe and immutable, and the formatters it returns are as well.

Since:
  1.0
Author:
  Brian S O'Neill
See Also:
  `PeriodFormat`, `PeriodFormatterBuilder`

Constructor Summary
`protected` | `ISOPeriodFormat()` Constructor.

Method Summary
`static PeriodFormatter` | `alternate()` The alternate ISO format, PyyyymmddThhmmss, which excludes weeks.
`static PeriodFormatter` | `alternateExtended()` The alternate ISO format, Pyyyy-mm-ddThh:mm:ss, which excludes weeks.
`static PeriodFormatter` | `alternateExtendedWithWeeks()` The alternate ISO format, Pyyyy-Www-ddThh:mm:ss, which excludes months.
`static PeriodFormatter` | `alternateWithWeeks()` The alternate ISO format, PyyyyWwwddThhmmss, which excludes months.
`static PeriodFormatter` | `standard()` The standard ISO format - PyYmMwWdDThHmMsS.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISOPeriodFormat

    protected ISOPeriodFormat()

  Constructor.

  Since:
    1.1 (previously private)

Method Detail

### standard

    public static PeriodFormatter standard()

  The standard ISO format - PyYmMwWdDThHmMsS. Milliseconds are not output. Note that the ISO8601 standard actually indicates weeks should not be shown if any other field is present and vice versa.

  Returns:
    the formatter

### alternate

    public static PeriodFormatter alternate()

  The alternate ISO format, PyyyymmddThhmmss, which excludes weeks.

  Even if weeks are present in the period, they are not output. Fractional seconds (milliseconds) will appear if required.

  Returns:
    the formatter

### alternateExtended

    public static PeriodFormatter alternateExtended()

  The alternate ISO format, Pyyyy-mm-ddThh:mm:ss, which excludes weeks.

  Even if weeks are present in the period, they are not output. Fractional seconds (milliseconds) will appear if required.

  Returns:
    the formatter

### alternateWithWeeks

    public static PeriodFormatter alternateWithWeeks()

  The alternate ISO format, PyyyyWwwddThhmmss, which excludes months.

  Even if months are present in the period, they are not output. Fractional seconds (milliseconds) will appear if required.

  Returns:
    the formatter

### alternateExtendedWithWeeks

    public static PeriodFormatter alternateExtendedWithWeeks()

  The alternate ISO format, Pyyyy-Www-ddThh:mm:ss, which excludes months.

  Even if months are present in the period, they are not output. Fractional seconds (milliseconds) will appear if required.

  Returns:
    the formatter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD